> ## Documentation Index
> Fetch the complete documentation index at: https://www.helius.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# getShieldedTransactionsBySignature

> Truy xuất các sự kiện được bảo vệ đã lập chỉ mục cho một chữ ký giao dịch Solana.

## Các sự kiện trong một giao dịch

Phản hồi trả về `result.transactions`, được sắp xếp theo `eventIndex`. Mỗi mục chứa chỉ số sự kiện và một giao dịch được bảo vệ với các đầu ra, thông điệp và giá trị vô hiệu hóa đã mã hóa. Một giao dịch Solana có thể chứa nhiều sự kiện được bảo vệ.

Mảng `transactions` trống có nghĩa là bộ lập chỉ mục không có sự kiện được bảo vệ nào khớp. Kiểm tra `context.slot` trước khi xem một giao dịch vừa gửi là không tồn tại. Phương thức này không sử dụng phân trang.

## Tham số yêu cầu

**txSignature** `string` *required*

Chữ ký giao dịch Solana 64 byte được mã hóa Base58.


## OpenAPI

````yaml vi/openapi/privacy/getShieldedTransactionsBySignature.yaml POST /v1/spr/getShieldedTransactionsBySignature
openapi: 3.0.3
info:
  title: API Vòng riêng tư Solana
  version: 0.51.2
  description: >-
    API JSON-RPC của trình lập chỉ mục quyền riêng tư dành cho trạng thái mã
    hóa, lịch sử, bằng chứng và bản ghi đăng ký công khai.
servers:
  - url: https://devnet.helius-rpc.com
    description: API Vòng riêng tư Solana trên Devnet
security: []
paths:
  /v1/spr/getShieldedTransactionsBySignature:
    post:
      summary: getShieldedTransactionsBySignature
      description: >-
        Truy xuất các sự kiện được bảo vệ đã lập chỉ mục cho một chữ ký giao
        dịch Solana.
      operationId: getShieldedTransactionsBySignature
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - jsonrpc
                - id
                - method
                - params
              properties:
                id:
                  type: string
                  description: ID dùng để nhận dạng yêu cầu.
                  default: '1'
                jsonrpc:
                  type: string
                  description: Phiên bản giao thức JSON-RPC.
                  enum:
                    - '2.0'
                  default: '2.0'
                method:
                  type: string
                  description: >-
                    Phương thức cần gọi. Phải khớp với phân đoạn cuối cùng của
                    đường dẫn URL.
                  enum:
                    - getShieldedTransactionsBySignature
                  default: getShieldedTransactionsBySignature
                params:
                  type: object
                  required:
                    - txSignature
                  properties:
                    txSignature:
                      allOf:
                        - $ref: '#/components/schemas/SerializableSignature'
                      description: Chữ ký giao dịch Solana dài 64 byte được mã hóa base58.
                  additionalProperties: false
                  example:
                    txSignature: >-
                      555555555555555555555555555555555555555555555555555555555555555555555555555555555555555
            example:
              jsonrpc: '2.0'
              id: '1'
              method: getShieldedTransactionsBySignature
              params:
                txSignature: >-
                  555555555555555555555555555555555555555555555555555555555555555555555555555555555555555
        required: true
      responses:
        '200':
          description: Phản hồi JSON-RPC. Kiểm tra lỗi trước khi đọc kết quả.
          content:
            application/json:
              schema:
                type: object
                required:
                  - jsonrpc
                  - id
                properties:
                  error:
                    type: object
                    required:
                      - code
                      - message
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                      data:
                        type: object
                        additionalProperties: true
                  id:
                    type: string
                    description: ID của yêu cầu.
                  jsonrpc:
                    type: string
                    description: Phiên bản của giao thức JSON-RPC.
                    enum:
                      - '2.0'
                  result:
                    type: object
                    required:
                      - context
                      - transactions
                    properties:
                      context:
                        $ref: '#/components/schemas/Context'
                      outputTreeId:
                        type: integer
                        format: uint16
                        description: >-
                          ID của cây trạng thái mới nhất chưa bị tạm dừng. Bị
                          lược bỏ khi không khả dụng.
                        minimum: 0
                      transactions:
                        type: array
                        items:
                          $ref: '#/components/schemas/IndexedShieldedTransaction'
              example:
                jsonrpc: '2.0'
                id: '1'
                result:
                  context:
                    slot: 4242
                    blockTime: 1730000000
                  transactions: []
        '400':
          description: >-
            Bị từ chối trước khi thực thi. Phương thức và đường dẫn không khớp,
            trường phương thức bị trùng lặp hoặc yêu cầu theo lô sẽ trả về
            -32601. Nội dung không thể đọc hoặc quá lớn sẽ trả về -32600.
          content:
            application/json:
              schema:
                type: object
                required:
                  - jsonrpc
                  - id
                  - error
                properties:
                  jsonrpc:
                    type: string
                    enum:
                      - '2.0'
                  id:
                    type: string
                    nullable: true
                    description: >-
                      ID của yêu cầu hoặc null khi nội dung không phải là một
                      lệnh gọi JSON-RPC đơn lẻ.
                  error:
                    type: object
                    required:
                      - code
                      - message
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                      data:
                        type: object
                        additionalProperties: true
        '429':
          description: Đã vượt quá giới hạn tốc độ.
          content:
            application/json:
              schema:
                type: object
                required:
                  - jsonrpc
                  - id
                  - error
                properties:
                  jsonrpc:
                    type: string
                    enum:
                      - '2.0'
                  id:
                    type: string
                    nullable: true
                    description: >-
                      ID của yêu cầu hoặc null khi nội dung không phải là một
                      lệnh gọi JSON-RPC đơn lẻ.
                  error:
                    type: object
                    required:
                      - code
                      - message
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                      data:
                        type: object
                        additionalProperties: true
        '500':
          description: Lỗi máy chủ nội bộ.
          content:
            application/json:
              schema:
                type: object
                required:
                  - jsonrpc
                  - id
                  - error
                properties:
                  jsonrpc:
                    type: string
                    enum:
                      - '2.0'
                  id:
                    type: string
                    nullable: true
                    description: >-
                      ID của yêu cầu hoặc null khi nội dung không phải là một
                      lệnh gọi JSON-RPC đơn lẻ.
                  error:
                    type: object
                    required:
                      - code
                      - message
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                      data:
                        type: object
                        additionalProperties: true
      security:
        - ApiKeyQuery: []
components:
  schemas:
    SerializableSignature:
      type: string
      description: Chữ ký giao dịch Solana dài 64 byte được mã hóa base58.
    Context:
      type: object
      required:
        - blockTime
        - slot
      properties:
        blockTime:
          type: integer
          format: int64
        slot:
          type: integer
          format: uint64
          description: >-
            Slot cao nhất mà trình lập chỉ mục đã lưu bền vững, dùng để kiểm tra
            độ mới dựa trên slot.
          minimum: 0
    IndexedShieldedTransaction:
      type: object
      required:
        - eventIndex
        - transaction
      properties:
        eventIndex:
          type: integer
          format: uint16
          minimum: 0
        transaction:
          $ref: '#/components/schemas/ShieldedTransaction'
    ShieldedTransaction:
      type: object
      required:
        - slot
        - txSignature
        - txViewingPk
        - salt
        - outputSlots
        - messages
        - nullifiers
        - proofless
      properties:
        eventIndex:
          type: integer
          format: uint16
          minimum: 0
        messages:
          type: array
          items:
            $ref: '#/components/schemas/RingsMessage'
          description: >-
            Các slot dữ liệu đã công bố không được liên kết với cam kết đầu ra
            nào và được tái công bố nguyên văn.
        nullifiers:
          type: array
          items:
            $ref: '#/components/schemas/Hash'
        outputSlots:
          type: array
          items:
            $ref: '#/components/schemas/RingsOutputSlot'
        proofless:
          type: boolean
          description: >-
            Đúng khi có ít nhất một đầu ra trong giao dịch này không có bằng
            chứng.
        ringConfig:
          type: string
          description: >-
            Tài khoản cấu hình của vòng (`ring_auth` PDA của vòng). Bị lược bỏ
            khi không có vòng nào ủy quyền cho giao dịch này.
        ringProgramId:
          type: string
          description: >-
            Chương trình của vòng, được phân giải thông qua các đăng ký đã lập
            chỉ mục. Bị lược bỏ khi `ringConfig` bị lược bỏ hoặc đăng ký của
            vòng chưa được lập chỉ mục. Sử dụng `ringConfig` để phân biệt "không
            có vòng" với "vòng có chương trình chưa được lập chỉ mục".
        salt:
          type: string
          description: Salt AES ở cấp giao dịch được dùng chung cho mọi bản mã đầu ra.
          nullable: true
        slot:
          type: integer
          format: uint64
          minimum: 0
        txSignature:
          $ref: '#/components/schemas/SerializableSignature'
        txViewingPk:
          type: string
          description: Chuỗi byte được mã hóa base64.
          nullable: true
    RingsMessage:
      type: object
      required:
        - viewTag
        - payload
      properties:
        payload:
          $ref: '#/components/schemas/Base64String'
        viewTag:
          $ref: '#/components/schemas/Hash'
    Hash:
      type: string
      description: Hàm băm dài 32 byte được mã hóa base58.
    RingsOutputSlot:
      type: object
      required:
        - viewTag
        - outputContext
        - payload
      properties:
        outputContext:
          $ref: '#/components/schemas/RingsOutputContext'
        payload:
          $ref: '#/components/schemas/Base64String'
        viewTag:
          $ref: '#/components/schemas/Hash'
    Base64String:
      type: string
      description: Chuỗi byte được mã hóa base64.
    RingsOutputContext:
      type: object
      required:
        - hash
        - tree
        - treeId
        - leafIndex
      properties:
        hash:
          $ref: '#/components/schemas/Hash'
        leafIndex:
          type: integer
          format: uint64
          minimum: 0
        tree:
          allOf:
            - $ref: '#/components/schemas/SerializablePubkey'
          description: >-
            Tài khoản cây trạng thái. Ưu tiên treeId; tài khoản cây được suy ra
            từ giá trị này.
          deprecated: true
        treeId:
          type: integer
          format: uint16
          description: ID cây thô mà cam kết của đầu ra được băm theo đó.
          minimum: 0
    SerializablePubkey:
      type: string
      description: Khóa công khai Solana được mã hóa base58.
  securitySchemes:
    ApiKeyQuery:
      type: apiKey
      in: query
      name: api-key
      description: Khóa API Helius của bạn.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.